> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List approvals by person

> Returns the calling user's pending approvals aggregated by the submitting employee.



## OpenAPI

````yaml openapi/findity-expense-api.json GET /me/organizations/{id}/approvals/groups/person
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /me/organizations/{id}/approvals/groups/person:
    get:
      tags:
        - Approvals
      summary: List approvals by person
      description: >-
        Returns the calling user's pending approvals aggregated by the
        submitting employee.
      operationId: listApprovalsByPerson
      parameters:
        - $ref: '#/components/parameters/organizationId'
        - $ref: '#/components/parameters/max'
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/statusesQuery'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApprovalGroupPerson'
              example:
                meta:
                  total: 2
                  count: 2
                data:
                  - profilePictureUrl: >-
                      https://expense.findity.com/api/v1/expense/profileimage/ff8080818b948960018b948b27930066
                    firstName: Anna
                    lastName: Andersson
                    totalAmount: 5236
                    totalAmountDescription: 5236 SEK
                    numberOfApprovals: 5
                    personId: ff8080818b948960018b948b27930066
                  - profilePictureUrl: >-
                      https://expense.findity.com/api/v1/expense/profileimage/bcffcd18764b414683edf8b490063054
                    firstName: Per
                    lastName: Stark
                    totalAmount: 712
                    totalAmountDescription: 712 SEK
                    numberOfApprovals: 2
                    personId: bcffcd18764b414683edf8b490063054
components:
  parameters:
    organizationId:
      in: path
      name: id
      required: true
      description: The id of the organization of the user
      schema:
        $ref: '#/components/schemas/Uuid'
      example: 05b8daba9ba14a49846fe77883248cf0
    max:
      name: max
      in: query
      description: max records to return
      required: false
      schema:
        type: integer
        format: int
        minimum: 1
        maximum: 1000
        default: 10
    offset:
      name: offset
      in: query
      description: the offset to be used in list
      required: false
      schema:
        type: integer
        format: int
        minimum: 0
        default: 0
    statusesQuery:
      in: query
      name: statuses
      required: false
      description: >-
        Comma separated list of statuses to include, to exclude a status use !
        before the status
      schema:
        type: array
        items:
          type: string
          enum:
            - APPROVAL
            - APPROVED
            - BULK_TRANSFER
            - DELETED
            - ERROR
            - NEW
            - NORMAL
            - ON_HOLD
            - PAID
            - READY_TO_SEND
            - REJECTED
            - REVIEW
            - SEND
            - SENT
            - TRANSFER
            - TRANSFER_TO_RECIPIENT
      example: APPROVAL, !APPROVED
  schemas:
    ApprovalGroupPerson:
      type: object
      properties:
        profilePictureUrl:
          type: string
          readOnly: true
        firstName:
          type: string
          readOnly: true
        lastName:
          type: string
          readOnly: true
        totalAmount:
          type: number
          readOnly: true
        totalAmountDescription:
          type: string
          readOnly: true
        numberOfApprovals:
          type: number
          readOnly: true
        personId:
          $ref: '#/components/schemas/Uuid'
          readOnly: true
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````